
TYPO3.Flow - Feature # 4445

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Core
Created: 2009-09-04 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: setfilepermissions.sh should check if parent directories are accessible
Description

A very common grinch is the access rights of parent directories: If FLOW3 is installed in /var/www/foo/bar/FLOW3, all of these
directories need to be executable for the command line or web user. If this is not the case, the index.php won't even be able to include
the bootsrap script etc.

We could warn the user about this fact while he runs the setfilepermissions script: it should check if all parent directories are also
accessible by the given users (if that is possible).

Related issues:
related to TYPO3.Flow - Feature # 4279: setfilepermissions.sh should give a h... Resolved 2009-08-20

Associated revisions
Revision b0624509 - 2009-11-05 22:17 - Karsten Dambekalns

[+FEATURE] FLOW3 (Core): setfilepermissions.sh now checks the path upwards for accessibility by the webserver user, resolves #4445.

History
#1 - 2009-09-07 09:46 - Robert Lemke
- Target version set to 1.0 alpha 4

#2 - 2009-09-07 16:41 - Karsten Dambekalns
- Target version deleted (1.0 alpha 4)

#3 - 2009-11-05 22:15 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

It will only check but not change the permissions, this needs to be done by the user as there are multiple ways to give search (execute) permissions as
needed.

#4 - 2009-11-05 22:16 - Karsten Dambekalns
- Target version set to 1.0 alpha 7

#5 - 2009-11-05 23:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset r3456.
